Search API

Endpoint: http://geocommons.com/search

Description: GeoIQ provides a common search across the application using the OpenSearch protocol.

HTTP Methods Available: GET

URL Summary:

TaskURLFormatsHTTP METHOD
searchhttp://geocommons.com/search.{format}atom,json,kmlGET

Search

Authentication:

Not required for GeoCommons datasets, GeoIQ appliance datasets depends on the permissions of the data

Required Parameters:

ParameterDescriptionExample
queryinformation to search onquery=unemployment

Optional Parameters:

ParameterDescriptionExample
bboxa box encompassing the area being searched the order is West/South/East/Northbbox=-79.5,20,-78,50
pagewhich page of results to returnpage=3
limitnumber of results to returnlimit=15
order‘ascending’ or ‘descending’ of the sort attribute (default ascending)order=descending
sortattribute name to sort onsort=name
modelData type to search for. Can be any of: Overlay, Map, Analysismodel=Map

A user can search specifically within the fields by prefixing “title:”, “description:” or “tag:” before the query. So for example http://geocommons.com/search.atom?query=tag:economics would return only data that has been tagged with “economics”.

Returns:

TypeDescriptionExample
JSONreturns a file of the type requestedcurl http://geocommons.com/search.json?query=chickens&limit=2&page=3

Curl Examples:

curl http://geocommons.com/search.json?query=chickens
curl http://geocommons.com/search.json?query=chickens&limit=2&page=3
 

Comments are closed.